net.sf.jasperreports.engine.design

## Class JRDesignElementDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRElementDataset
  Direct Known Subclasses:
    DesignMultiAxisDataset, JRDesignChartDataset, JRDesignCrosstabDataset, StandardSpiderDataset

      public class JRDesignElementDataset
      extends JRBaseElementDataset
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignElementDataset.java 6002 2013-03-20 08:15:32Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DATASET_RUN`
    `static java.lang.String` | `PROPERTY_INCREMENT_GROUP`
    `static java.lang.String` | `PROPERTY_INCREMENT_TYPE`
    `static java.lang.String` | `PROPERTY_INCREMENT_WHEN_EXPRESSION`
    `static java.lang.String` | `PROPERTY_RESET_GROUP`
    `static java.lang.String` | `PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignElementDataset()`
    `JRDesignElementDataset(JRElementDataset dataset)`
    `JRDesignElementDataset(JRElementDataset dataset, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setDatasetRun(JRDatasetRun datasetRun)` Sets the sub dataset run for this dataset.
    `void` | `setIncrementGroup(JRGroup group)`
    `void` | `setIncrementType(IncrementTypeEnum incrementTypeValue)`
    `void` | `setIncrementWhenExpression(JRExpression expression)` Sets the "increment when" expression.
    `void` | `setResetGroup(JRGroup group)`
    `void` | `setResetType(ResetTypeEnum resetTypeValue)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DATASET_RUN

          public static final java.lang.String PROPERTY_DATASET_RUN

      See Also:
        Constant Field Values

    - #### PROPERTY_INCREMENT_GROUP

          public static final java.lang.String PROPERTY_INCREMENT_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_INCREMENT_TYPE

          public static final java.lang.String PROPERTY_INCREMENT_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_INCREMENT_WHEN_EXPRESSION

          public static final java.lang.String PROPERTY_INCREMENT_WHEN_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_RESET_GROUP

          public static final java.lang.String PROPERTY_RESET_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_RESET_TYPE

          public static final java.lang.String PROPERTY_RESET_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignElementDataset

          public JRDesignElementDataset()

    - #### JRDesignElementDataset

          public JRDesignElementDataset(JRElementDataset dataset)

    - #### JRDesignElementDataset

          public JRDesignElementDataset(JRElementDataset dataset,
                                JRBaseObjectFactory factory)

  - ### Method Detail

    - #### setResetType

          public void setResetType(ResetTypeEnum resetTypeValue)

    - #### setIncrementType

          public void setIncrementType(IncrementTypeEnum incrementTypeValue)

    - #### setResetGroup

          public void setResetGroup(JRGroup group)

    - #### setIncrementGroup

          public void setIncrementGroup(JRGroup group)

    - #### setDatasetRun

          public void setDatasetRun(JRDatasetRun datasetRun)

      Sets the sub dataset run for this dataset.
      Parameters:
        `datasetRun` - the dataset run
      See Also:
        `JRElementDataset.getDatasetRun()`

    - #### setIncrementWhenExpression

          public void setIncrementWhenExpression(JRExpression expression)

      Sets the "increment when" expression.

      The expression value class should be compatible with `java.lang.Boolean`

      Parameters:
        `expression` - the expression
      See Also:
        `JRElementDataset.getIncrementWhenExpression()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElementDataset`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com